<?php

namespace app\admin\model;

use app\common\model\Goods;
use think\Model;

class Moments extends Model
{
    protected $name = 'moments';
    
    /**
     * 关联员工（belongsTo：moments 属于 staff，moments.sid = staff.id）
     */
    public function getStaff()
    {
        return $this->belongsTo(Staff::class, 'sid', 'id');
    }

    /**
     * 关联订单（belongsTo：moments 属于 order，moments.oid = order.id）
     */
    public function getOrder()
    {
        return $this->belongsTo(Order::class, 'oid', 'id');
    }

    //关联产品
    public function getProduct()
    {
        return $this->belongsTo(Goods::class, 'goods_id', 'id');
    }
}